![repo-banner](https://user-images.githubusercontent.com/4060187/28923990-050a32d4-782e-11e7-9da7-574ce5a8b455.png)

[![GitHub version](https://badge.fury.io/gh/jaredpalmer%2Frazzle.svg)](https://badge.fury.io/gh/jaredpalmer%2Frazzle) [![npm](https://img.shields.io/npm/dm/razzle)](https://www.npmjs.com/package/razzle) ![Node CI](https://github.com/jaredpalmer/razzle/workflows/Node%20CI/badge.svg) [![Known Vulnerabilities](https://snyk.io/test/github/jaredpalmer/razzle/badge.svg?targetFile=package.json)](https://snyk.io/test/github/jaredpalmer/razzle?targetFile=package.json) ![Razzle-status](https://david-dm.org/jaredpalmer/razzle.svg?path=packages/razzle) [![license](https://badgen.now.sh/badge/license/MIT)](./LICENSE) [![Join the community on Spectrum](https://withspectrum.github.io/badge/badge.svg)](https://spectrum.chat/palmer)

Universal JavaScript applications are tough to setup. Either you buy into a framework like [Next.js](https://github.com/zeit/next.js) or [react-server](https://github.com/redfin/react-server), fork a boilerplate, or set things up yourself. Aiming to fill this void, Razzle is a tool that abstracts all complex configuration needed for SSR into a single dependency--giving you the awesome developer experience of [create-react-app](https://github.com/facebookincubator/create-react-app), but then leaving the rest of your app's architectural decisions about frameworks, routing, and data fetching up to you. With this approach, Razzle not only works with React, but also Reason, Elm, Vue, Angular, and most importantly......whatever comes next.

## Getting Started

Visit <a aria-label="razzle getting started" href="https://razzlejs.org/getting-started">https://razzlejs.org/getting-started</a> to get started with Razzle.

## Documentation

Visit <a aria-label="razzle docs" href="https://razzlejs.org/">https://razzlejs.org/</a> to view the documentation.

## Contributing

Please see our [CONTRIBUTING.md](/.github/CONTRIBUTING.md).

## Inspiration

- [jaredpalmer/backpack](https://github.com/jaredpalmer/backpack)
- [nytimes/kyt](https://github.com/nytimes/kyt)
- [facebookincubator/create-react-app](https://github.com/facebookincubator/create-react-app)
- [humblespark/sambell](https://github.com/humblespark/sambell)
- [zeit/next.js](https://github.com/zeit/next.js)

### Author

- [Jared Palmer](https://twitter.com/jaredpalmer)

## Contributors

Thanks goes to these wonderful people ([emoji key](https://github.com/kentcdodds/all-contributors#emoji-key)):

<!-- START contributors generated instructions please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN yarn build-docs TO UPDATE -->
- **Jared Palmer** - [@jaredpalmer](http://jaredpalmer.com)
  - **Contributions:** question, code, design, doc, example, ideas, review, test, tool
- **Nima Arefi** - [@Nimaa77](https://github.com/Nimaa77)
  - **Contributions:** question, code, doc, example, ideas, review, test, tool
- **Øyvind Saltvik** - [@fivethreeo](https://github.com/fivethreeo/)
  - **Contributions:** question, code, example, ideas, review, test, tool
- **Jari Zwarts** - [@jariz](https://jari.io)
  - **Contributions:** question, code, ideas, plugin, review
- **Dan Abramov** - [@gaearon](http://twitter.com/dan_abramov)
  - **Contributions:** code, ideas
- **Eric Clemmons** - [@ericclemmons](http://ericclemmons.github.com/)
  - **Contributions:** code, ideas
- **Zino Hofmann** - [@HofmannZ](https://www.linkedin.com/in/zinohofmann/)
  - **Contributions:** example
- **Lucas Terra** - [@lucasterra](https://www.linkedin.com/in/lucasterra7/)
  - **Contributions:** code, example, plugin
- **Ray Andrew** - [@rayandrews](https://www.linkedin.com/in/ray-andrew/)
  - **Contributions:** code, example, plugin
<!-- END contributors generated instructions please keep comment here to allow auto update -->

This project follows the [all-contributors](https://github.com/kentcdodds/all-contributors) specification. Contributions of any kind welcome!

---

MIT License
